div {
    max-width: 100%;
}
.topnav {
    background-color: #373635;
    overflow: hidden;
}

.topnav a {
    text-align: center;
    float: left;
  	display: block;
    color: white;
    text-decoration: none;
    padding: 15px 25px;
}

.topnav .icon {
    display: none;
}

a:hover {
    background-color: #2ca770;

}

.home{
    background-color: #2ca770;
}
@media screen and (max-width: 600px) {
    .topnav a:not(:first-child) {
      display: none;
    }
    .topnav a.icon {
      float: right;
      display: block;
    }
  }

@media screen and (max-width: 620px) {
    .topnav.responsive {
        position: relative;
    }
    .topnav.responsive .icon {
        position: absolute;
        right: 0;
        top: 0;
    }
    .topnav.responsive a {
        float: none;
        display: block;
        text-align: left;
    }

}